Bug 726720 - get Server, Agent, and CLI running on Java 7 / JDK 7 / JRE 7
get Server, Agent, and CLI running on Java 7 / JDK 7 / JRE 7
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
4.1
All All
medium Severity low (vote)
: ---
: JON 3.1.1
Assigned To: Heiko W. Rupp
Mike Foley
: FutureFeature
Depends On: 682878
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-29 11:30 EDT by Ian Springer
Modified: 2013-09-03 11:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:11:28 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-07-29 11:30:10 EDT
Java SE 7 has finally been released (http://www.oracle.com/technetwork/java/javase/downloads/index.html).

Here's a matrix of the supported OS versions / CPU architectures for Sun/Oracle Java SE 7:

http://www.oracle.com/technetwork/java/javase/config-417990.html
Comment 1 Heiko W. Rupp 2012-07-13 02:58:16 EDT
Just as a comment, not a final statement: I am running server+agent (single instance each) on Java7 (OpenJDK) without visible issues.

OS/X
snert:/im/rhq/modules/enterprise/server/jar hrupp$ java -version
openjdk version "1.7.0-jdk7u6-b16"
OpenJDK Runtime Environment (build 1.7.0-jdk7u6-b16-20120704)
OpenJDK 64-Bit Server VM (build 23.2-b08, mixed mode)

RHEL6.3: the supplied version of OpenJDK7
Comment 2 Charles Crouch 2012-08-02 19:26:15 EDT
Assigning tracker to Heiko, who is leading the jdk7 support effort.
Comment 3 Charles Crouch 2012-08-20 08:37:45 EDT
Moving to ON_QA since this has been ready for testing, and in fact already tested, as part of the JON311 ER builds. Problems found should be logged as new issues.
Comment 4 Mike Foley 2012-08-31 14:12:35 EDT
JON on Java 7 is not a feature in JON 3.1.1.  Individual issues will be logged when Java7 is a deliverable.
Comment 6 Heiko W. Rupp 2013-09-03 11:11:28 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.